# GimpUi.LabelSpin

    from gi.repository import GimpUi

    label_spin = GimpUi.LabelSpin(digits=value, lower=value, upper=value, value=value)

This widget is a subclass of GimpUi.Labeled with a GimpUi.SpinButton.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Grid
          - GimpUi.Labeled
            - GimpUi.LabelSpin

## Methods

- GimpUi.LabelSpin.get_spin_button
- GimpUi.LabelSpin.get_value
- GimpUi.LabelSpin.set_digits
- GimpUi.LabelSpin.set_increments
- GimpUi.LabelSpin.set_value

## Properties

- digits
- lower
- upper
- value

## Signals

- value-changed

## Virtual functions

- GimpUi.LabelSpin::value_changed

## Fields

- GimpUi.LabelSpin->parent_instance